Index: /trunk/bp-messages.php
===================================================================
--- /trunk/bp-messages.php	(revision 3727)
+++ /trunk/bp-messages.php	(revision 3728)
@@ -1,7 +1,9 @@
 <?php
-require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-classes.php' );
-require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-cssjs.php' );
+
+// Required Files
+require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-classes.php'      );
+require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-cssjs.php'        );
 require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-templatetags.php' );
-require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-filters.php' );
+require ( BP_PLUGIN_DIR . '/bp-messages/bp-messages-filters.php'      );
 
 function messages_setup_globals() {
@@ -14,8 +16,13 @@
 	$bp->messages->id = 'messages';
 
+	// Slug
 	$bp->messages->slug = BP_MESSAGES_SLUG;
+
+	// Tables
 	$bp->messages->table_name_notices 		= $bp->table_prefix . 'bp_messages_notices';
 	$bp->messages->table_name_messages 		= $bp->table_prefix . 'bp_messages_messages';
 	$bp->messages->table_name_recipients 	= $bp->table_prefix . 'bp_messages_recipients';
+
+	// Notifications
 	$bp->messages->format_notification_function = 'messages_format_notifications';
 
@@ -38,10 +45,10 @@
 		$name = __('Messages <strong></strong>', 'buddypress');
 
-	/* Add 'Messages' to the main navigation */
+	// Add 'Messages' to the main navigation
 	bp_core_new_nav_item( array( 'name' => $name, 'slug' => $bp->messages->slug, 'position' => 50, 'show_for_displayed_user' => false, 'screen_function' => 'messages_screen_inbox', 'default_subnav_slug' => 'inbox', 'item_css_id' => $bp->messages->id ) );
 
 	$messages_link = $bp->loggedin_user->domain . $bp->messages->slug . '/';
 
-	/* Add the subnav items to the profile */
+	// Add the subnav items to the profile
 	bp_core_new_subnav_item( array( 'name' => __( 'Inbox', 'buddypress' ), 'slug' => 'inbox', 'parent_url' => $messages_link, 'parent_slug' => $bp->messages->slug, 'screen_function' => 'messages_screen_inbox', 'position' => 10, 'user_has_access' => bp_is_my_profile() ) );
 	bp_core_new_subnav_item( array( 'name' => __( 'Sent Messages', 'buddypress' ), 'slug' => 'sentbox', 'parent_url' => $messages_link, 'parent_slug' => $bp->messages->slug, 'screen_function' => 'messages_screen_sentbox', 'position' => 20, 'user_has_access' => bp_is_my_profile() ) );
@@ -170,12 +177,11 @@
 	global $bp;
 
-	$new_messages = get_user_meta( $bp->displayed_user->id, 'notification_messages_new_message', true );
-	if ( !$new_messages )
+	if ( !$new_messages = get_user_meta( $bp->displayed_user->id, 'notification_messages_new_message', true ) )
 		$new_messages = 'yes';
 
-	$new_notices = get_user_meta( $bp->displayed_user->id, 'notification_messages_new_notice', true );
-	if ( !$new_notices )
-		$new_notices = 'yes';
+	if ( !$new_notices = get_user_meta( $bp->displayed_user->id, 'notification_messages_new_notice', true ) )
+		$new_notices  = 'yes';
 ?>
+
 	<table class="notification-settings zebra" id="messages-notification-settings">
 		<thead>
@@ -205,4 +211,5 @@
 		</tbody>
 	</table>
+
 <?php
 }
@@ -229,11 +236,11 @@
 		bp_core_redirect( $bp->displayed_user->domain . $bp->current_component );
 
-	/* Check if a new reply has been submitted */
+	// Check if a new reply has been submitted
 	if ( isset( $_POST['send'] ) ) {
 
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'messages_send_message', 'send_message_nonce' );
 
-		/* Send the reply */
+		// Send the reply
 		if ( messages_new_message( array( 'thread_id' => $thread_id, 'subject' => $_POST['subject'], 'content' => $_POST['content'] ) ) )
 			bp_core_add_message( __( 'Your reply was sent successfully', 'buddypress' ) );
@@ -244,5 +251,5 @@
 	}
 
-	/* Mark message read */
+	// Mark message read
 	messages_mark_thread_read( $thread_id );
 
@@ -268,5 +275,5 @@
 			return false;
 
-		// delete message
+		// Delete message
 		if ( !messages_delete_thread($thread_id) ) {
 			bp_core_add_message( __('There was an error deleting that message.', 'buddypress'), 'error' );
@@ -293,9 +300,9 @@
 			return false;
 
-		if ( !messages_delete_thread( $thread_ids ) ) {
+		if ( !messages_delete_thread( $thread_ids ) )
 			bp_core_add_message( __('There was an error deleting messages.', 'buddypress'), 'error' );
-		} else {
+		else
 			bp_core_add_message( __('Messages deleted.', 'buddypress') );
-		}
+
 		bp_core_redirect( $bp->loggedin_user->domain . $bp->current_component . '/' . $bp->current_action );
 	}
@@ -339,11 +346,11 @@
 	global $bp;
 
-	$defaults = array(
-		'thread_id' => false, // false for a new message, thread id for a reply to a thread.
-		'sender_id' => $bp->loggedin_user->id,
+	$defaults = array (
+		'sender_id'  => $bp->loggedin_user->id,
+		'thread_id'  => false, // false for a new message, thread id for a reply to a thread.
 		'recipients' => false, // Can be an array of usernames, user_ids or mixed.
-		'subject' => false,
-		'content' => false,
-		'date_sent' => bp_core_current_time()
+		'subject'    => false,
+		'content'    => false,
+		'date_sent'  => bp_core_current_time()
 	);
 
@@ -354,10 +361,10 @@
 		return false;
 
-	/* Create a new message object */
-	$message = new BP_Messages_Message;
+	// Create a new message object
+	$message            = new BP_Messages_Message;
 	$message->thread_id = $thread_id;
 	$message->sender_id = $sender_id;
-	$message->subject = $subject;
-	$message->message = $content;
+	$message->subject   = $subject;
+	$message->message   = $content;
 	$message->date_sent = $date_sent;
 
@@ -382,5 +389,5 @@
 			$message->subject = __( 'No Subject', 'buddypress' );
 
-		/* Loop the recipients and convert all usernames to user_ids where needed */
+		// Loop the recipients and convert all usernames to user_ids where needed
 		foreach( (array) $recipients as $recipient ) {
 			if ( is_numeric( trim( $recipient ) ) )
@@ -391,9 +398,9 @@
 		}
 
-		/* Strip the sender from the recipient list if they exist */
+		// Strip the sender from the recipient list if they exist
 		if ( $key = array_search( $sender_id, (array)$recipient_ids ) )
 			unset( $recipient_ids[$key] );
 
-		/* Remove duplicates */
+		// Remove duplicates
 		$recipient_ids = array_unique( (array)$recipient_ids );
 
@@ -401,5 +408,5 @@
 			return false;
 
-		/* Format this to match existing recipients */
+		// Format this to match existing recipients
 		foreach( (array)$recipient_ids as $i => $recipient_id ) {
 			$message->recipients[$i] = new stdClass;
@@ -430,9 +437,10 @@
 	if ( !is_super_admin() || empty( $subject ) || empty( $message ) ) {
 		return false;
+
+	// Has access to send notices, lets do it.
 	} else {
-		// Has access to send notices, lets do it.
-		$notice = new BP_Messages_Notice;
-		$notice->subject = $subject;
-		$notice->message = $message;
+		$notice            = new BP_Messages_Notice;
+		$notice->subject   = $subject;
+		$notice->message   = $message;
 		$notice->date_sent = bp_core_current_time();
 		$notice->is_active = 1;
@@ -470,5 +478,5 @@
 }
 
-function messages_check_thread_access( $thread_id, $user_id = false ) {
+function messages_check_thread_access( $thread_id, $user_id = 0 ) {
 	global $bp;
 
@@ -499,5 +507,5 @@
 }
 
-function messages_get_unread_count( $user_id = false ) {
+function messages_get_unread_count( $user_id = 0 ) {
 	global $bp;
 
@@ -529,12 +537,12 @@
 
 // List actions to clear super cached pages on, if super cache is installed
-add_action( 'messages_delete_thread', 'bp_core_clear_cache' );
-add_action( 'messages_send_notice', 'bp_core_clear_cache' );
-add_action( 'messages_message_sent', 'bp_core_clear_cache' );
+add_action( 'messages_delete_thread',  'bp_core_clear_cache' );
+add_action( 'messages_send_notice',    'bp_core_clear_cache' );
+add_action( 'messages_message_sent',   'bp_core_clear_cache' );
 
 // Don't cache message inbox/sentbox/compose as it's too problematic
 add_action( 'messages_screen_compose', 'bp_core_clear_cache' );
 add_action( 'messages_screen_sentbox', 'bp_core_clear_cache' );
-add_action( 'messages_screen_inbox', 'bp_core_clear_cache' );
+add_action( 'messages_screen_inbox',   'bp_core_clear_cache' );
 
 ?>
Index: /trunk/bp-themes/bp-default/groups/index.php
===================================================================
--- /trunk/bp-themes/bp-default/groups/index.php	(revision 3727)
+++ /trunk/bp-themes/bp-default/groups/index.php	(revision 3728)
@@ -5,5 +5,5 @@
 
 		<form action="" method="post" id="groups-directory-form" class="dir-form">
-			<h3><?php _e( 'Groups Directory', 'buddypress' ) ?><?php if ( is_user_logged_in() ) : ?> &nbsp;<a class="button" href="<?php echo bp_get_root_domain() . '/' . BP_GROUPS_SLUG . '/create/' ?>"><?php _e( 'Create a Group', 'buddypress' ) ?></a><?php endif; ?></h3>
+			<h3><?php _e( 'Groups Directory', 'buddypress' ) ?><?php if ( is_user_logged_in() ) : ?> &nbsp;<a class="button" href="<?php echo bp_get_root_domain() . '/' . bp_get_root_slug() . '/create/' ?>"><?php _e( 'Create a Group', 'buddypress' ) ?></a><?php endif; ?></h3>
 
 			<?php do_action( 'bp_before_directory_groups_content' ) ?>
Index: /trunk/bp-xprofile.php
===================================================================
--- /trunk/bp-xprofile.php	(revision 3727)
+++ /trunk/bp-xprofile.php	(revision 3728)
@@ -1,12 +1,12 @@
 <?php
-require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-admin.php' );
-require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-classes.php' );
-require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-filters.php' );
+
+// Required files
+require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-admin.php'       );
+require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-classes.php'      );
+require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-filters.php'      );
 require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-templatetags.php' );
-require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-cssjs.php' );
-
-/**
- * xprofile_setup_globals()
- *
+require ( BP_PLUGIN_DIR . '/bp-xprofile/bp-xprofile-cssjs.php'        );
+
+/**
  * Add the profile globals to the $bp global for use across the installation
  *
@@ -25,13 +25,16 @@
 		define ( 'BP_XPROFILE_SLUG', 'profile' );
 
-	/* Assign the base group and fullname field names to constants to use in SQL statements */
+	// Assign the base group and fullname field names to constants to use
+	// in SQL statements
 	define ( 'BP_XPROFILE_BASE_GROUP_NAME', stripslashes( $bp->site_options['bp-xprofile-base-group-name'] ) );
 	define ( 'BP_XPROFILE_FULLNAME_FIELD_NAME', stripslashes( $bp->site_options['bp-xprofile-fullname-field-name'] ) );
 
-	/* For internal identification */
+	// For internal identification
 	$bp->profile->id = 'profile';
 
+	// Slug
 	$bp->profile->slug = BP_XPROFILE_SLUG;
 
+	// Tables
 	$bp->profile->table_name_data   = $bp->table_prefix . 'bp_xprofile_data';
 	$bp->profile->table_name_groups = $bp->table_prefix . 'bp_xprofile_groups';
@@ -39,10 +42,11 @@
 	$bp->profile->table_name_meta	= $bp->table_prefix . 'bp_xprofile_meta';
 
+	// Notifications
 	$bp->profile->format_notification_function = 'xprofile_format_notifications';
 
-	/* Register this in the active components array */
+	// Register this in the active components array
 	$bp->active_components[$bp->profile->slug] = $bp->profile->id;
 
-	/* Set the support field type ids */
+	// Set the support field type ids
 	$bp->profile->field_types = apply_filters( 'xprofile_field_types', array( 'textbox', 'textarea', 'radio', 'checkbox', 'selectbox', 'multiselectbox', 'datebox' ) );
 
@@ -52,6 +56,4 @@
 
 /**
- * xprofile_add_admin_menu()
- *
  * Creates the administration interface menus and checks to see if the DB
  * tables are set up.
@@ -73,5 +75,5 @@
 		return false;
 
-	/* Add the administration tab under the "Site Admin" tab for site administrators */
+	// Add the administration tab under the "Site Admin" tab for site administrators
 	add_submenu_page( 'bp-general-settings', __( 'Profile Field Setup', 'buddypress' ), __( 'Profile Field Setup', 'buddypress' ), 'manage_options', 'bp-profile-setup', 'xprofile_admin' );
 }
@@ -79,6 +81,4 @@
 
 /**
- * xprofile_setup_nav()
- *
  * Sets up the navigation items for the xprofile component
  *
@@ -93,10 +93,10 @@
 	global $bp;
 
-	/* Add 'Profile' to the main navigation */
+	// Add 'Profile' to the main navigation
 	bp_core_new_nav_item( array( 'name' => __( 'Profile', 'buddypress' ), 'slug' => $bp->profile->slug, 'position' => 20, 'screen_function' => 'xprofile_screen_display_profile', 'default_subnav_slug' => 'public', 'item_css_id' => $bp->profile->id ) );
 
 	$profile_link = $bp->loggedin_user->domain . $bp->profile->slug . '/';
 
-	/* Add the subnav items to the profile */
+	// Add the subnav items to the profile
 	bp_core_new_subnav_item( array( 'name' => __( 'Public', 'buddypress' ), 'slug' => 'public', 'parent_url' => $profile_link, 'parent_slug' => $bp->profile->slug, 'screen_function' => 'xprofile_screen_display_profile', 'position' => 10 ) );
 	bp_core_new_subnav_item( array( 'name' => __( 'Edit Profile', 'buddypress' ), 'slug' => 'edit', 'parent_url' => $profile_link, 'parent_slug' => $bp->profile->slug, 'screen_function' => 'xprofile_screen_edit_profile', 'position' => 20 ) );
@@ -117,6 +117,4 @@
 
 /**
- * xprofile_setup_adminbar_menu()
- *
  * Adds an admin bar menu to any profile page providing site admin options for that user.
  *
@@ -130,8 +128,8 @@
 		return false;
 
-	/* Don't show this menu to non site admins or if you're viewing your own profile */
+	// Don't show this menu to non site admins or if you're viewing your own profile
 	if ( !is_super_admin() || bp_is_my_profile() )
-		return false;
-	?>
+		return false; ?>
+
 	<li id="bp-adminbar-adminoptions-menu">
 		<a href=""><?php _e( 'Admin Options', 'buddypress' ) ?></a>
@@ -142,7 +140,11 @@
 
 			<?php if ( !bp_core_is_user_spammer( $bp->displayed_user->id ) ) : ?>
+
 				<li><a href="<?php echo wp_nonce_url( $bp->displayed_user->domain . 'admin/mark-spammer/', 'mark-unmark-spammer' ) ?>" class="confirm"><?php _e( "Mark as Spammer", 'buddypress' ) ?></a></li>
+
 			<?php else : ?>
+
 				<li><a href="<?php echo wp_nonce_url( $bp->displayed_user->domain . 'admin/unmark-spammer/', 'mark-unmark-spammer' ) ?>" class="confirm"><?php _e( "Not a Spammer", 'buddypress' ) ?></a></li>
+
 			<?php endif; ?>
 
@@ -150,6 +152,8 @@
 
 			<?php do_action( 'xprofile_adminbar_menu_items' ) ?>
+
 		</ul>
 	</li>
+
 	<?php
 }
@@ -165,6 +169,4 @@
 
 /**
- * xprofile_screen_display_profile()
- *
  * Handles the display of the profile page by loading the correct template file.
  *
@@ -175,7 +177,8 @@
 	global $bp;
 
-	$new = '';
 	if ( isset( $_GET['new'] ) )
 		$new = $_GET['new'];
+	else
+		$new = '';
 
 	do_action( 'xprofile_screen_display_profile', $new );
@@ -184,6 +187,4 @@
 
 /**
- * xprofile_screen_edit_profile()
- *
  * Handles the display of the profile edit page by loading the correct template file.
  * Also checks to make sure this can only be accessed for the logged in users profile.
@@ -199,38 +200,40 @@
 		return false;
 
-	/* Make sure a group is set. */
+	// Make sure a group is set.
 	if ( empty( $bp->action_variables[1] ) )
 		bp_core_redirect( $bp->displayed_user->domain . BP_XPROFILE_SLUG . '/edit/group/1' );
 
-	/* Check the field group exists */
+	// Check the field group exists
 	if ( !xprofile_get_field_group( $bp->action_variables[1] ) )
 		bp_core_redirect( $bp->root_domain );
 
-	/* Check to see if any new information has been submitted */
+	// Check to see if any new information has been submitted
 	if ( isset( $_POST['field_ids'] ) ) {
 
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'bp_xprofile_edit' );
 
-		/* Check we have field ID's */
+		// Check we have field ID's
 		if ( empty( $_POST['field_ids'] ) )
 			bp_core_redirect( $bp->displayed_user->domain . BP_XPROFILE_SLUG . '/edit/group/' . $bp->action_variables[1] . '/' );
 
-		/* Explode the posted field IDs into an array so we know which fields have been submitted */
+		// Explode the posted field IDs into an array so we know which
+		// fields have been submitted
 		$posted_field_ids = explode( ',', $_POST['field_ids'] );
 
 		$is_required = array();
 
-		/* Loop through the posted fields formatting any datebox values then validate the field */
+		// Loop through the posted fields formatting any datebox values
+		// then validate the field
 		foreach ( (array)$posted_field_ids as $field_id ) {
 			if ( !isset( $_POST['field_' . $field_id] ) ) {
 
 				if ( !empty( $_POST['field_' . $field_id . '_day'] ) && is_numeric( $_POST['field_' . $field_id . '_day'] ) ) {
-					/* Concatenate the values. */
-					$date_value = $_POST['field_' . $field_id . '_day'] . ' ' .
-							      $_POST['field_' . $field_id . '_month'] . ' ' .
-								  $_POST['field_' . $field_id . '_year'];
-
-					/* Turn the concatenated value into a timestamp */
+					// Concatenate the values
+					$date_value =   $_POST['field_' . $field_id . '_day'] . ' ' .
+									$_POST['field_' . $field_id . '_month'] . ' ' .
+									$_POST['field_' . $field_id . '_year'];
+
+					// Turn the concatenated value into a timestamp
 					$_POST['field_' . $field_id] = strtotime( $date_value );
 				}
@@ -246,8 +249,8 @@
 			bp_core_add_message( __( 'Please make sure you fill in all required fields in this profile field group before saving.', 'buddypress' ), 'error' );
 		else {
-			/* Reset the errors var */
+			// Reset the errors var
 			$errors = false;
 
-			/* Now we've checked for required fields, lets save the values. */
+			// Now we've checked for required fields, lets save the values.
 			foreach ( (array)$posted_field_ids as $field_id ) {
 				
@@ -266,5 +269,5 @@
 			do_action( 'xprofile_updated_profile', $bp->displayed_user->id, $posted_field_ids, $errors );
 
-			/* Set the feedback messages */
+			// Set the feedback messages
 			if ( $errors )
 				bp_core_add_message( __( 'There was a problem updating some of your profile information, please try again.', 'buddypress' ), 'error' );
@@ -272,5 +275,5 @@
 				bp_core_add_message( __( 'Changes saved.', 'buddypress' ) );
 
-			/* Redirect back to the edit screen to display the updates and message */
+			// Redirect back to the edit screen to display the updates and message
 			bp_core_redirect( $bp->displayed_user->domain . BP_XPROFILE_SLUG . '/edit/group/' . $bp->action_variables[1] . '/' );
 		}
@@ -282,6 +285,4 @@
 
 /**
- * xprofile_screen_change_avatar()
- *
  * Handles the uploading and cropping of a user avatar. Displays the change avatar page.
  *
@@ -300,20 +301,20 @@
 	if ( !empty( $_FILES ) ) {
 
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'bp_avatar_upload' );
 
-		/* Pass the file to the avatar upload handler */
+		// Pass the file to the avatar upload handler
 		if ( bp_core_avatar_handle_upload( $_FILES, 'xprofile_avatar_upload_dir' ) ) {
 			$bp->avatar_admin->step = 'crop-image';
 
-			/* Make sure we include the jQuery jCrop file for image cropping */
+			// Make sure we include the jQuery jCrop file for image cropping
 			add_action( 'wp_print_scripts', 'bp_core_add_jquery_cropper' );
 		}
 	}
 
-	/* If the image cropping is done, crop the image and save a full/thumb version */
+	// If the image cropping is done, crop the image and save a full/thumb version
 	if ( isset( $_POST['avatar-crop-submit'] ) ) {
 
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'bp_avatar_cropstore' );
 
@@ -340,6 +341,4 @@
 
 /**
- * xprofile_action_delete_avatar()
- *
  * This function runs when an action is set for a screen:
  * example.com/members/andy/profile/change-avatar/ [delete-avatar]
@@ -359,5 +358,5 @@
 		return false;
 
-	/* Check the nonce */
+	// Check the nonce
 	check_admin_referer( 'bp_delete_avatar_link' );
 
@@ -387,7 +386,7 @@
 		return false;
 
-	/* Register the activity stream actions for this component */
-	bp_activity_set_action( $bp->profile->id, 'new_member', __( 'New member registered', 'buddypress' ) );
-	bp_activity_set_action( $bp->profile->id, 'updated_profile', __( 'Updated Profile', 'buddypress' ) );
+	// Register the activity stream actions for this component
+	bp_activity_set_action( $bp->profile->id, 'new_member',      __( 'New member registered', 'buddypress' ) );
+	bp_activity_set_action( $bp->profile->id, 'updated_profile', __( 'Updated Profile',       'buddypress' ) );
 
 	do_action( 'xprofile_register_activity_actions' );
@@ -396,6 +395,4 @@
 
 /**
- * xprofile_record_activity()
- *
  * Records activity for the logged in user within the profile component so that
  * it will show in the users activity stream (if installed)
@@ -412,15 +409,15 @@
 		return false;
 
-	$defaults = array(
-		'user_id' => $bp->loggedin_user->id,
-		'action' => '',
-		'content' => '',
-		'primary_link' => '',
-		'component' => $bp->profile->id,
-		'type' => false,
-		'item_id' => false,
+	$defaults = array (
+		'user_id'           => $bp->loggedin_user->id,
+		'action'            => '',
+		'content'           => '',
+		'primary_link'      => '',
+		'component'         => $bp->profile->id,
+		'type'              => false,
+		'item_id'           => false,
 		'secondary_item_id' => false,
-		'recorded_time' => bp_core_current_time(),
-		'hide_sitewide' => false
+		'recorded_time'     => bp_core_current_time(),
+		'hide_sitewide'     => false
 	);
 
@@ -432,6 +429,4 @@
 
 /**
- * xprofile_delete_activity()
- *
  * Deletes activity for a user within the profile component so that
  * it will be removed from the users activity stream and sitewide stream (if installed)
@@ -446,5 +441,5 @@
 
 	if ( function_exists('bp_activity_delete_by_item_id') ) {
-		extract($args);
+		extract( $args );
 		bp_activity_delete_by_item_id( array( 'item_id' => $item_id, 'component' => $bp->profile->id, 'type' => $type, 'user_id' => $user_id, 'secondary_item_id' => $secondary_item_id ) );
 	}
@@ -475,7 +470,7 @@
 	$defaults = array(
 		'field_group_id' => false,
-		'name' => false,
-		'description' => '',
-		'can_delete' => true
+		'name'           => false,
+		'description'    => '',
+		'can_delete'     => true
 	);
 
@@ -486,8 +481,8 @@
 		return false;
 
-	$field_group = new BP_XProfile_Group( $field_group_id );
-	$field_group->name = $name;
+	$field_group              = new BP_XProfile_Group( $field_group_id );
+	$field_group->name        = $name;
 	$field_group->description = $description;
-	$field_group->can_delete = $can_delete;
+	$field_group->can_delete  = $can_delete;
 
 	return $field_group->save();
@@ -536,13 +531,13 @@
 	 */
 
-	/* Check we have the minimum details */
+	// Check we have the minimum details
 	if ( !$field_group_id )
 		return false;
 
-	/* Check this is a valid field type */
+	// Check this is a valid field type
 	if ( !in_array( $type, (array) $bp->profile->field_types ) )
 		return false;
 
-	/* Instantiate a new field object */
+	// Instantiate a new field object
 	if ( $field_id )
 		$field = new BP_XProfile_Field( $field_id );
@@ -601,6 +596,4 @@
 
 /**
- * xprofile_get_field_data()
- *
  * Fetches profile data for a specific field for the user.
  *
@@ -615,5 +608,5 @@
  * @return mixed The profile field data.
  */
-function xprofile_get_field_data( $field, $user_id = null ) {
+function xprofile_get_field_data( $field, $user_id = 0 ) {
 	global $bp;
 
@@ -622,8 +615,8 @@
 		xprofile_setup_globals();
 
-	if ( !$user_id )
+	if ( empty( $user_id ) )
 		$user_id = $bp->displayed_user->id;
 
-	if ( !$user_id )
+	if ( empty( $user_id ) )
 		return false;
 
@@ -633,5 +626,5 @@
 		$field_id = xprofile_get_field_id_from_name( $field );
 
-	if ( !$field_id )
+	if ( empty( $field_id ) )
 		return false;
 
@@ -651,6 +644,4 @@
 
 /**
- * xprofile_set_field_data()
- *
  * A simple function to set profile data for a specific field for a specific user.
  *
@@ -669,5 +660,5 @@
 		$field_id = xprofile_get_field_id_from_name( $field );
 
-	if ( !$field_id )
+	if ( empty( $field_id ) )
 		return false;
 
@@ -684,5 +675,5 @@
 	}
 
-	/* Check the value is an acceptable value */
+	// Check the value is an acceptable value
 	if ( 'checkbox' == $field->type || 'radio' == $field->type || 'selectbox' == $field->type || 'multiselectbox' == $field->type ) {
 		$options = $field->get_children();
@@ -697,5 +688,5 @@
 			}
 
-			/* Reset the keys by merging with an empty array */
+			// Reset the keys by merging with an empty array
 			$value = array_merge( array(), $value );
 		} else {
@@ -705,8 +696,8 @@
 	}
 
-	$field = new BP_XProfile_ProfileData();
+	$field           = new BP_XProfile_ProfileData();
 	$field->field_id = $field_id;
-	$field->user_id = $user_id;
-	$field->value = maybe_serialize( $value );
+	$field->user_id  = $user_id;
+	$field->value    = maybe_serialize( $value );
 
 	return $field->save();
@@ -736,6 +727,4 @@
 
 /**
- * xprofile_get_field_id_from_name()
- *
  * Returns the ID for the field based on the field name.
  *
@@ -749,6 +738,4 @@
 
 /**
- * xprofile_get_random_profile_data()
- *
  * Fetches a random piece of profile data for the user.
  *
@@ -763,5 +750,5 @@
  */
 function xprofile_get_random_profile_data( $user_id, $exclude_fullname = true ) {
-	$field_data = BP_XProfile_ProfileData::get_random( $user_id, $exclude_fullname );
+	$field_data           = BP_XProfile_ProfileData::get_random( $user_id, $exclude_fullname );
 	$field_data[0]->value = xprofile_format_profile_field( $field_data[0]->type, $field_data[0]->value );
 
@@ -773,6 +760,4 @@
 
 /**
- * xprofile_format_profile_field()
- *
  * Formats a profile field according to its type. [ TODO: Should really be moved to filters ]
  *
@@ -784,5 +769,5 @@
  */
 function xprofile_format_profile_field( $field_type, $field_value ) {
-	if ( !isset($field_value) || empty( $field_value ) )
+	if ( !isset( $field_value ) || empty( $field_value ) )
 		return false;
 
@@ -793,5 +778,5 @@
 	} else {
 		$content = $field_value;
-		$field_value = str_replace(']]>', ']]&gt;', $content);
+		$field_value = str_replace( ']]>', ']]&gt;', $content );
 	}
 
@@ -804,6 +789,4 @@
 
 /**
- * xprofile_avatar_upload_dir()
- *
  * Setup the avatar upload directory for a user.
  *
@@ -813,14 +796,14 @@
  * @return array() containing the path and URL plus some other settings.
  */
-function xprofile_avatar_upload_dir( $directory = false, $user_id = false ) {
-	global $bp;
-
-	if ( !$user_id )
+function xprofile_avatar_upload_dir( $directory = false, $user_id = 0 ) {
+	global $bp;
+
+	if ( empty( $user_id ) )
 		$user_id = $bp->displayed_user->id;
 
-	if ( !$directory )
+	if ( empty( $directory ) )
 		$directory = 'avatars';
 
-	$path  = BP_AVATAR_UPLOAD_PATH . '/avatars/' . $user_id;
+	$path    = BP_AVATAR_UPLOAD_PATH . '/avatars/' . $user_id;
 	$newbdir = $path;
 
@@ -828,6 +811,6 @@
 		@wp_mkdir_p( $path );
 
-	$newurl  = BP_AVATAR_URL . '/avatars/' . $user_id;
-	$newburl = $newurl;
+	$newurl    = BP_AVATAR_URL . '/avatars/' . $user_id;
+	$newburl   = $newurl;
 	$newsubdir = '/avatars/' . $user_id;
 
@@ -836,11 +819,9 @@
 
 /**
- * xprofile_sync_wp_profile()
- *
  * Syncs Xprofile data to the standard built in WordPress profile data.
  *
  * @package BuddyPress Core
  */
-function xprofile_sync_wp_profile( $user_id = false ) {
+function xprofile_sync_wp_profile( $user_id = 0 ) {
 	global $bp, $wpdb;
 
@@ -862,10 +843,10 @@
 	} else {
 		$firstname = substr( $fullname, 0, $space );
-		$lastname = trim( substr( $fullname, $space, strlen($fullname) ) );
-	}
-
-	update_user_meta( $user_id, 'nickname', $fullname );
+		$lastname = trim( substr( $fullname, $space, strlen( $fullname ) ) );
+	}
+
+	update_user_meta( $user_id, 'nickname',   $fullname  );
 	update_user_meta( $user_id, 'first_name', $firstname );
-	update_user_meta( $user_id, 'last_name', $lastname );
+	update_user_meta( $user_id, 'last_name',  $lastname  );
 
 	$wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->users} SET display_name = %s WHERE ID = %d", $fullname, $user_id ) );
@@ -876,6 +857,5 @@
 
 
-/* xprofile_sync_bp_profile()
- *
+/**
  * Syncs the standard built in WordPress profile data to XProfile.
  *
@@ -895,6 +875,4 @@
 
 /**
- * xprofile_remove_data_on_user_deletion()
- *
  * When a user is deleted, we need to clean up the database and remove all the
  * profile data from each table. Also we need to clean anything up in the usermeta table
@@ -915,11 +893,11 @@
 
 	// unset the usermeta for avatars from the usermeta table.
-	delete_user_meta( $user_id, 'bp_core_avatar_v1' );
+	delete_user_meta( $user_id, 'bp_core_avatar_v1'      );
 	delete_user_meta( $user_id, 'bp_core_avatar_v1_path' );
-	delete_user_meta( $user_id, 'bp_core_avatar_v2' );
+	delete_user_meta( $user_id, 'bp_core_avatar_v2'      );
 	delete_user_meta( $user_id, 'bp_core_avatar_v2_path' );
 }
-add_action( 'wpmu_delete_user', 'xprofile_remove_data' );
-add_action( 'delete_user', 'xprofile_remove_data' );
+add_action( 'wpmu_delete_user',  'xprofile_remove_data' );
+add_action( 'delete_user',       'xprofile_remove_data' );
 add_action( 'bp_make_spam_user', 'xprofile_remove_data' );
 
@@ -1071,6 +1049,6 @@
 // List actions to clear object caches on
 add_action( 'xprofile_groups_deleted_group', 'xprofile_clear_profile_groups_object_cache' );
-add_action( 'xprofile_groups_saved_group', 'xprofile_clear_profile_groups_object_cache' );
-add_action( 'xprofile_updated_profile', 'xprofile_clear_profile_data_object_cache' );
+add_action( 'xprofile_groups_saved_group',   'xprofile_clear_profile_groups_object_cache' );
+add_action( 'xprofile_updated_profile',      'xprofile_clear_profile_data_object_cache'   );
 
 // List actions to clear super cached pages on, if super cache is installed
